Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.validation
Interface NodeEditVAL

All Known Subinterfaces:
  CharacterDataEditVAL, DocumentEditVAL, ElementEditVAL

All Known Implementing Classes:
  oracle.xml.parser.v2.CharData, XMLDocument, XMLElement, XMLNode

public interface NodeEditVAL

This interface is similar to the [DOM Level 3 Core] `Node` interface, with methods for guided document editing.

See the Document Object Model (DOM) Level 3 Validation Specification.

Field Summary
`static short` | `VAL_FALSE` False if the node is invalid with regards to the operation, or if the operation cannot be done.
`static short` | `VAL_INCOMPLETE` Check if the node's immediate children are those expected by the content model.
`static short` | `VAL_NS_WF` Check if the node is namespace well-formed.
`static short` | `VAL_SCHEMA` Check if the node's entire subtree are those expected by the the content model.
`static short` | `VAL_TRUE` True if the node is valid with regards to the operation, or if the operation can be done.
`static short` | `VAL_UNKNOWN` The validity of the node is unknown.
`static short` | `VAL_WF` Check if the node is well-formed.

Method Summary
`short` | `canAppendChild(Node newChild)` Determines whether the `Node.appendChild` operation would make this document not compliant with the `VAL_INCOMPLETE` validity type.
`short` | `canInsertBefore(Node newChild, Node refChild)` Determines whether the `Node.insertBefore` operation would make this document not compliant with the `VAL_INCOMPLETE` validity type.
`short` | `canRemoveChild(Node oldChild)` Determines whether the `Node.removeChild` operation would make this document not compliant with the `VAL_INCOMPLETE` validity type.
`short` | `canReplaceChild(Node newChild, Node oldChild)` Determines whether the `Node.replaceChild` operation would make this document not compliant with the `VAL_INCOMPLETE` validity type.
`java.lang.String` | `getDefaultValue()` The default value specified in an attribute or an element declaration or `null` if unspecified.
`DOMStringList` | `getEnumeratedValues()` A `DOMStringList`, as described in [DOM Level 3 Core] , of distinct values for an attribute or an element declaration or `null` if unspecified.
`short` | `nodeValidity(short wFValidityCheckLevel)` Determines if the node is valid relative to the validation type specified in `valType`.

Field Detail

### VAL_WF

    public static final short VAL_WF

  Check if the node is well-formed.
  See Also:
    Constant Field Values

### VAL_NS_WF

    public static final short VAL_NS_WF

  Check if the node is namespace well-formed.
  See Also:
    Constant Field Values

### VAL_INCOMPLETE

    public static final short VAL_INCOMPLETE

  Check if the node's immediate children are those expected by the content model. This node's trailing required children could be missing. It includes `VAL_NS_WF`.
  See Also:
    Constant Field Values

### VAL_SCHEMA

    public static final short VAL_SCHEMA

  Check if the node's entire subtree are those expected by the the content model. It includes `VAL_NS_WF`.
  See Also:
    Constant Field Values

### VAL_TRUE

    public static final short VAL_TRUE

  True if the node is valid with regards to the operation, or if the operation can be done.
  See Also:
    Constant Field Values

### VAL_FALSE

    public static final short VAL_FALSE

  False if the node is invalid with regards to the operation, or if the operation cannot be done.
  See Also:
    Constant Field Values

### VAL_UNKNOWN

    public static final short VAL_UNKNOWN

  The validity of the node is unknown.
  See Also:
    Constant Field Values

Method Detail

### getDefaultValue

    public java.lang.String getDefaultValue()

  The default value specified in an attribute or an element declaration or `null` if unspecified. Elena wanted mention of XML Schema's canonical lexical representation here. Why?

### getEnumeratedValues

    public DOMStringList getEnumeratedValues()

  A `DOMStringList`, as described in [DOM Level 3 Core] , of distinct values for an attribute or an element declaration or `null` if unspecified. Elena wanted mention of XML Schema's canonical lexical representation here. Why?

### canInsertBefore

    public short canInsertBefore(Node newChild,
    Node refChild)

  Determines whether the `Node.insertBefore` operation would make this document not compliant with the `VAL_INCOMPLETE` validity type.
  Parameters:
    `newChild` - `Node` to be inserted.
    `refChild` - Reference `Node`.
  Returns:
    A validation state constant.

### canRemoveChild

    public short canRemoveChild(Node oldChild)

  Determines whether the `Node.removeChild` operation would make this document not compliant with the `VAL_INCOMPLETE` validity type.
  Parameters:
    `oldChild` - `Node` to be removed.
  Returns:
    A validation state constant.

### canReplaceChild

    public short canReplaceChild(Node newChild,
    Node oldChild)

  Determines whether the `Node.replaceChild` operation would make this document not compliant with the `VAL_INCOMPLETE` validity type.
  Parameters:
    `newChild` - New `Node`.
    `oldChild` - `Node` to be replaced.
  Returns:
    A validation state constant.

### canAppendChild

    public short canAppendChild(Node newChild)

  Determines whether the `Node.appendChild` operation would make this document not compliant with the `VAL_INCOMPLETE` validity type.
  Parameters:
    `newChild` - `Node` to be appended.
  Returns:
    A validation state constant.

### nodeValidity

    public short nodeValidity(short wFValidityCheckLevel)

  Determines if the node is valid relative to the validation type specified in `valType`. This operation doesn't normalize before checking if it is valid. To do so, one would need to explicitly call a normalize method. The difference between this method and the `validateDocument` method on the `DocumentVAL` interface is that `validateDocument` only checks to determine whether the entire document is valid.
  Parameters:
    `wFValidityCheckLevel` - Flag to tell at what level validity and well-formedness checking is done.
  Returns:
    A validation state constant.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 W3C® (MIT, INRIA, Keio), All rights reserved.